package com.prolog.cs.biz.inbound.dto.rcv;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.prolog.cs.biz.inbound.constant.ValidatorGroup.validAdd;
import com.prolog.cs.biz.inbound.constant.ValidatorGroup.validEdit;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.NotBlank;
import java.io.Serializable;
import java.util.Date;

/**
 * @Description 收货单头图片 1:N
 * @Author Xiong
 * @Date 2021-04-02
 */

@ApiModel
public class RcvHeadersPicDTO implements Serializable {
	private static final long serialVersionUID = 383883544958768692L;
	@ApiModelProperty(value = "上传ID(主键雪花id)")
	@NotBlank(message = "上传ID(主键雪花id) can not blank!", groups = validEdit.class)
	private String rcvHeaderPicId;

	@ApiModelProperty(value = "收货单头ID(必填)")
	@NotBlank(message = "收货单头ID can not blank!", groups = validAdd.class)
	private String rcvHeaderId;

	@ApiModelProperty(value = "图片名称(必填)")
	@NotBlank(message = "图片名称 can not blank!", groups = validAdd.class)
	private String picFilename;

	@ApiModelProperty(value = "图片地址(必填)")
	@NotBlank(message = "图片地址 can not blank!", groups = validAdd.class)
	private String picFileurl;

	@ApiModelProperty(value = "上传时间")
//	@NotNull(message = "上传时间 can not blank!", groups = validAdd.class)
//	@Past(message = "上传时间 can not greater than now!", groups = validAdd.class)
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date executorDate;

	@ApiModelProperty(value = "上传人id")
//	@NotBlank(message = "上传人id can not blank!", groups = validAdd.class)
	private String executorUserid;

	@ApiModelProperty(value = "上传人名称")
	private String executorUserName;

	public String getRcvHeaderPicId() {
		return this.rcvHeaderPicId;
	}

	public void setRcvHeaderPicId(String rcvHeaderPicId) {
		this.rcvHeaderPicId = rcvHeaderPicId;
	}

	public String getRcvHeaderId() {
		return this.rcvHeaderId;
	}

	public void setRcvHeaderId(String rcvHeaderId) {
		this.rcvHeaderId = rcvHeaderId;
	}

	public String getPicFilename() {
		return this.picFilename;
	}

	public void setPicFilename(String picFilename) {
		this.picFilename = picFilename;
	}

	public String getPicFileurl() {
		return this.picFileurl;
	}

	public void setPicFileurl(String picFileurl) {
		this.picFileurl = picFileurl;
	}

	public Date getExecutorDate() {
		return this.executorDate;
	}

	public void setExecutorDate(Date executorDate) {
		this.executorDate = executorDate;
	}

	public String getExecutorUserid() {
		return this.executorUserid;
	}

	public void setExecutorUserid(String executorUserid) {
		this.executorUserid = executorUserid;
	}

	public String getExecutorUserName() {
		return this.executorUserName;
	}

	public void setExecutorUserName(String executorUserName) {
		this.executorUserName = executorUserName;
	}

}
